### Hierarchy

- XmlComponent
  - Table

## Index

### Constructors

- constructor

### Accessors

- IsDeleted
- Properties

### Methods

- addChildElement
- delete
- float
- getCell
- getRow
- prepForXml
- setFixedWidthLayout
- setWidth

## Constructors

### constructor

- new Table(rows: number, cols: number, colSizes?: number[]): Table

- Overrides XmlComponent.constructor

  - Defined in file/table/table.ts:12

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  - ##### Optional colSizes: number[]

  #### Returns Table

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

### Properties

- get Properties(): TableProperties

- - Defined in file/table/table.ts:83

  #### Returns TableProperties

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### float

- float(tableFloatOptions: ITableFloatOptions): Table

- - Defined in file/table/table.ts:78

  #### Parameters

  - ##### tableFloatOptions: ITableFloatOptions

  #### Returns Table

### getCell

- getCell(row: number, col: number): TableCell

- - Defined in file/table/table.ts:64

  #### Parameters

  - ##### row: number

  - ##### col: number

  #### Returns TableCell

### getRow

- getRow(ix: number): TableRow

- - Defined in file/table/table.ts:54

  #### Parameters

  - ##### ix: number

  #### Returns TableRow

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### setFixedWidthLayout

- setFixedWidthLayout(): Table

- - Defined in file/table/table.ts:73

  #### Returns Table

### setWidth

- setWidth(width: number | string, type?: WidthType): Table

- - Defined in file/table/table.ts:68

  #### Parameters

  - ##### width: number | string

  - ##### Default value type: WidthType = WidthType.AUTO

  #### Returns Table

Generated using TypeDoc